function [ y,std ] = GPUCB_stochT( model, time, point, names, weight, stat, options )
%GPUCB_stochT computes a statistics of a stochastic model at a given time
%   model, time, point, names, weight, stat, options

model.setParameters(names, point);
X = model.simulateAtT(time,options.stoch_runs);
X = X(:,2:end); %discard time

Y = zeros(options.stoch_runs,1);
for i=1:size(X,2) 
    Y = Y + weight(i)*(X(:,i));
end

if options.bootstrap 
    y = stat(Y);
    std = bootstrap(Y,stat,options.bootstrap_samples);
else
    [y,std] = stat(Y);
end
    

end

