%clear all;
N0 = 100;
modelSym = SIRsym(N0);
model = getModel(modelSym);
options = getOptions();

options.final_time = 150;
options.time_points = 100;

model.explore_vars = [1;1];
model.explore_pars(2) = 0;

range = model.init_var_range;
%works only if the range of each variable is the same

id = tic;
points = 50;



step = (range(1,2) - range(1,1))/(points);
offset = step/2;

range1 = range + [offset,-offset;
                  offset,-offset];

input = regularGrid([points,points],range1);
[ time,obs,obs1 ] = simulateModel( model, input, options );

tp = options.time_points+1;

S = zeros(tp,2);
I = zeros(tp,2);
for i=1:tp 
   MM = zeros(2,size(input,1));
   mm = zeros(2,size(input,1));
   for j=1:size(input,1)
        A = obs1(:,1:2,j,i);
        nm = sqrt(max(eig(A'*A)));
        eps = sqrt(2)*nm*offset;
        MM(:,j) = obs(:,j,i) + eps*ones(2,1);
        mm(:,j) = obs(:,j,i) - eps*ones(2,1);
   end
   S(i,1) = min(mm(1,:));
   I(i,1) = min(mm(2,:));
   S(i,2) = max(MM(1,:));
   I(i,2) = max(MM(2,:)); 
end
S(1,:) = range(1,:);
I(1,:) = range(2,:);
toc(id)

I14 = I(:,1);
Iu4 = I(:,2);




 tt = [time,flipdim(time,2)];
% SS = [S(:,1);flipdim(S(:,2),1)]';
 II = [I(:,1);flipdim(I(:,2),1)]';
% 
% 
% %plot reachable polytope!
% figure;
% fill(tt,SS,'r',tt,II,'b');
 

