clear all;
N0 = 100;
modelSym = SIRsym(N0);
model = getModel(modelSym);
options = getOptions();

options.final_time = 150;
options.time_points = 100;
%points = 5;
%p = 2; 
%range = model.par_range(p,:);
points = [5,5];
range = model.init_var_range;
model.explore_pars(2) = 0;
model.explore_vars = [1;1];


id = tic;
input = regularGrid(points,range);

[ time,obs,obs1 ] = simulateModel( model, input, options );



kernel = getKernel(2);
aux.basisFunc =  @(X)[1, X(1), X(2), X(1)^2, X(1)*X(2), X(2)^2];
aux.dBasisFunc = @(X)[0, 1, 0, 2*X(1), X(2),      0;
                  0, 0 ,1,      0, X(1), 2*X(2) ];

%optimised ls
%kernel.lengthscale(1) = 6.3003e-04;
%kernel.lengthscale(2) = 18.9637;
kernel.lengthscale(1) = 2;
kernel.lengthscale(2) = 2;

aux.lower_bound = [0;0];
aux.upper_bound = [N0;N0];

% kernel.lengthscale(1) = 0.002;

H0 =  [1,0;
       0,1];

dim = size(range,1);
gridPoints = options.gridPointsPerCoordinate*ones(1,dim);
grid = regularGrid(gridPoints,range);
rm = GPregressionM(input,obs(1,:,2),obs1(1,:,:,2),kernel,options,aux.basisFunc ,aux.dBasisFunc);
rm = rm.setGrid(grid,rm);       
for j=1:options.time_points
    [lower(:,j),upper(:,j)] = GPreachT(rm,obs(:,:,j+1),obs1(:,:,:,j+1),H0,aux);
end

toc(id)

% %plot reachable polytope!
% figure;
% for j=1:options.time_points
%     V = VV{j};
%     l = size(V,1);
%     fill3(V(:,1),V(:,2),time(j+1)*ones(l,1),'r');
%     hold on;
% end
% V0 = [range(1,1),range(2,1);
%       range(1,1),range(2,2);
%       range(1,2),range(2,2);
%       range(1,2),range(2,1)];
% fill3(V0(:,1),V0(:,2),0*ones(4,1),'r');  
%  
% U = zeros(0,3);
% for j=1:options.time_points
%    U = [U;obs(1,:,j+1)',obs(2,:,j+1)',time(j+1)*ones(size(input,1),1)];
% end
% 
% plot3(U(:,1),U(:,2),U(:,3),'x');
% 
% 
% %%%%
 T = [time'; flipdim(time',1)];
% S = [[range(1,1),lower(1,:)], flipdim([range(1,2),upper(1,:)],2)]'; 
 I = [[range(2,1),lower(2,:)], flipdim([range(2,2),upper(2,:)],2)]'; 
% figure, fill(T, S, [7 0 0]/8);
% hold on; %fill([T; flipdim(T,1)], Sm, [4 0 0]/8);
% fill(T, I, [0 0 7]/8);
% legend('susc','inf');
