function [ modelSym ] = SIRsym(N0)
%%%%% SIR model definition. Uses the symbolic toolbox 
syms S I ki ke kr ks N;
modelSym.var = [S,I];
modelSym.par = [N,ki,ke,kr,ks];

modelSym.rate = [ki*S*I;
                 ke*S;
                 kr*I;
                 ks*(N-S-I)];
modelSym.stoichiometry = [ -1 -1  0  1;
                            1  1 -1  0];   
modelSym.obs = [S;
                I];
           %     S+I;
           %     0.9966*S - 0.0819*I;
           %     0.0819*S + 0.9966*I];
%                S/100+I/14];
               % (S-60)^2+(I+10)^2];
            
modelSym.par_values = [N0;0.1/N0;0.01;0.05;0.01];
modelSym.var_init = [N0;0];


modelSym.init_var_range = [floor(8*N0/10),floor(9*N0/10);
                           0,N0-floor(9*N0/10)];         
modelSym.par_range = [90,110;
                      0.05/N0,0.15/N0;
                      0.005,0.015;
                      0.01,0.1;
                      0.005,0.015];
modelSym.obs_range = [0,N0;
                      0,N0];
                %      0,N0;
                %      0,0.9966*N0;
                %      0,0.0819*N0 + 0.9966*N0];
                      %0,N0/100+N0/14];
                      %0,(N0+10)^2];
modelSym.explore_vars = [0;0];
modelSym.explore_pars = [0;1;0;0;0];                  
     
end




