function gridVals = GPUCB_fixedGrid(n,domain)
%GPUCB_fixedGrid Generates a fixed grid, with n points per parameter,
%equispaced between minrange and maxrange
%n can be a vector of the size of the input space

if (domain.standardise)
    range = domain.range;
else
    range = domain.trueRange;
end

if length(n) == 1
    n = n*ones(domain.dimension,1);
end    

k = domain.dimension;
step = (range(k,2) - range(k,1))/(n(k)-1);
aux = range(k,1):step:range(k,2);
k = k-1;
while k > 0
    step = (range(k,2) - range(k,1))/(n(k)-1);
    a = range(k,1):step:range(k,2);
    auxN = [];
    m = size(aux,2);
    for i=1:n(k);
        auxN = [auxN, [a(i)*ones(1,m);aux]];
    end
    aux = auxN;
    k = k-1;
end
gridVals = aux;
end

