function options = GPUCB_getOptions( )
%propCheckGetOptions generates the default option set for optimisation
    options.gridSampling = 1;
    options.gridOrthogonalSampling = 1;
    options.othogonalSampleBins = 10;
    options.orthogonalSamplePointsPerBin = 5; 
    options.gridSampleNumber = 25;
    options.maxGridResamples = 3;
    options.minNewPoints = 5;
    options.initialObs = 50;    
    options.randomInitialPoints = 1;
    options.orthogonalSamplingInitialPoints = 1;
    options.othogonalSampleBinsInit = 4;
    options.orthogonalSamplePointsPerBinInit = 3;
    options.extraGrid = 10;
    options.dispersion = 0.025;
    options.debug = 0;
    options.verbose = 0;
    options.debugPlot = 0;
    options.maxAddedPointsNoImprovement = 10;
    options.improvementFactor = 1.01; 

    
    options.betaType = 'const';
    options.betaFunc = @betaFunction;
    options.betaConst = 2;
    options.betaDelta = 0.5;
    options.betaRepMult = 2;
    
    function beta = betaFunction(iters,reps,params,options)
        if strcmp(options.betaType,'const')
           beta = options.betaConst; 
        elseif strcmp(options.betaType,'loginc')
           beta = 2*log(params.dimension*(iters*pi)^2/(6*options.betaDelta)); 
           beta = sqrt(beta); 
        elseif strcmp(options.betaType,'repinflate')
           beta = options.betaConst + options.betaRepMult*reps;
        end
    end
    
    
    %defining the kernel
    
    
%     options.extraPointsForHessian = 0;
%     options.extraPointsDispersion = options.kernel.RBFlengthScale/4;
%     options.optimiseGPmeanAtEnd = 1;
    options.localOptimisation = 1;
    options.hyperparameterOptimisation = 1;
    options.hyperparameterOptTrials = 5;
    
    options.bootstrapSize = 100;                        
    

end

