function gridVals = GPUCB_gridOrthogonalSample(domain,dim,bins,points)
%propCheckGridOrthogonalSample samples a grid of points in the parameter 
%   space using an orthogonal sampling scheme.

    if  domain.standardise 
        range = domain.range;
    else
        range = domain.trueRange;
    end
    [S,m] = orthogonal_sample(dim, bins, points);
    S = (S/(bins*m))'; %normalise to [0,1]
    width = range(:,2)-range(:,1);
    s = size(S,2);
    gridVals = repmat(range(:,1),1,s) + S.*repmat(width,1,s);
    
end

